Delete a Donor Contact Method
curl --request DELETE \
--url https://prod-api.raisedonors.com/api/Donor/{id}/contact-method/{contactMethodId} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Donor/{id}/contact-method/{contactMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Donor/{id}/contact-method/{contactMethodId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Donor/{id}/contact-method/{contactMethodId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Donor/{id}/contact-method/{contactMethodId}';
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"email": [
"A valid email address is required."
],
"lastName": [
"The lastName field is required."
]
},
"instance": "/api/Donor/200234/contact-method/300101"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Donor/{id}/contact-method/{contactMethodId}"
}Donor
Delete a Donor Contact Method
Deletes a contact method from a donor.
DELETE
https://prod-api.raisedonors.com
/
api
/
Donor
/
{id}
/
contact-method
/
{contactMethodId}
Delete a Donor Contact Method
If it is the donor’s primary email address or phone number, promote another with Set Primary Donor Contact Method first.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The ID of the donor the contact method belongs to.
The ID of the donor contact method.
Response
OK
Last modified on July 28, 2026
Was this page helpful?
⌘I